> For the complete documentation index, see [llms.txt](https://docs.opshub.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.opshub.com/v7.226/connector-sdk-index/sdk-connector-apis/attachment-content-get.md).

# Attachment Content Get

### Overview

Returns base64 encoded stream for the given attachment URI

### API URI

This is the URI, OpsHub will execute to call this API:

```bash
GET: /entities/{entityTypeId}/attachments/content? 
     projectId=<projectId>    	 
     contentUri=<contentUri>
```

### URI Parameters

| Name         | In    | Required | Type   | Description                                                          |
| ------------ | ----- | -------- | ------ | -------------------------------------------------------------------- |
| entityTypeId | path  | True     | String | ‘id’ of entity type for which attachment content needs to be fetched |
| projectId    | query | True     | String | Project in which the given entity exists                             |
| contentURI   | query | True     | String | URI of the attachment for which content needs to be returned         |

### Response Payload

Base64 encoded stream – content of an attachment.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.opshub.com/v7.226/connector-sdk-index/sdk-connector-apis/attachment-content-get.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
